# Generated by go2rpm
%bcond_without check

# https://github.com/dominikh/go-tools
%global goipath         honnef.co/go/tools
%global forgeurl        https://github.com/dominikh/go-tools
Version:                2022.1.3
%global tag             %version

%gometa

%global common_description %{expand:
honnef.co/go/tools/... is a collection of tools and libraries for working with
Go code, including linters and static analysis, most prominently staticcheck.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Collection of static analysis tools for working with Go code
Group:          Development/Other

# Upstream license specification: BSD-3-Clause and MIT
License:        BSD and MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/BurntSushi/toml)
BuildRequires:  golang(golang.org/x/tools/go/analysis)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/inspect)
BuildRequires:  golang(golang.org/x/tools/go/ast/astutil)
BuildRequires:  golang(golang.org/x/tools/go/ast/inspector)
BuildRequires:  golang(golang.org/x/tools/go/buildutil)
BuildRequires:  golang(golang.org/x/tools/go/gcexportdata)
BuildRequires:  golang(golang.org/x/tools/go/loader)
BuildRequires:  golang(golang.org/x/tools/go/packages)
BuildRequires:  golang(golang.org/x/tools/go/types/objectpath)
BuildRequires:  golang(golang.org/x/tools/go/types/typeutil)
BuildRequires:  golang(golang.org/x/tools/txtar)

%if %{with check}
# Tests
BuildRequires:  golang(golang.org/x/tools/go/analysis/analysistest)
%endif 

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/*; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d staticcheck -d go/ir -d lintcmd
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/*

%gopkgfiles


%changelog
* Thu Dec 29 2022 pterjan <pterjan> 2022.1.3-1.mga9
+ Revision: 1927950
- Update to 2022.1.3

* Mon Apr 25 2022 guillomovitch <guillomovitch> 2021.1.2-1.mga9
+ Revision: 1853774
- new version2021.1.2

* Sun Apr 03 2022 umeabot <umeabot> 2021.1-2.mga9
+ Revision: 1841569
- Mageia 9 Mass Rebuild

* Mon Nov 01 2021 guillomovitch <guillomovitch> 2021.1-1.mga9
+ Revision: 1753594
- update to 2021.1

* Sun Aug 30 2020 guillomovitch <guillomovitch> 2020.1.5-1.mga8
+ Revision: 1619945
- new version 2020.1.5

* Wed Nov 28 2018 pterjan <pterjan> 2017.2.2-1.mga7
+ Revision: 1336239
- imported package golang-honnef-tools

